commit:     ec73f9addaa0ce06739c8bf62ee1001392ffae30
Author:     Christoph Junghans <ottxor <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 14 23:59:00 2014 +0000
Commit:     Christoph Junghans <ottxor <AT> gentoo <DOT> org>
CommitDate: Mon Apr 14 23:59:00 2014 +0000
URL:        
http://git.overlays.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=ec73f9ad

added make-symlinks use flag, multilib-strict fix

Package-Manager: portage-2.2.8-r1

---
 sci-chemistry/gromacs/ChangeLog               |  4 ++++
 sci-chemistry/gromacs/gromacs-5.0.9999.ebuild | 12 ++++++++++--
 sci-chemistry/gromacs/gromacs-5.0_rc1.ebuild  | 12 ++++++++++--
 sci-chemistry/gromacs/gromacs-9999.ebuild     | 12 ++++++++++--
 sci-chemistry/gromacs/metadata.xml            |  1 +
 5 files changed, 35 insertions(+), 6 deletions(-)

diff --git a/sci-chemistry/gromacs/ChangeLog b/sci-chemistry/gromacs/ChangeLog
index 502a133..03c55c5 100644
--- a/sci-chemistry/gromacs/ChangeLog
+++ b/sci-chemistry/gromacs/ChangeLog
@@ -2,6 +2,10 @@
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+  14 Apr 2014; Christoph Junghans <[email protected]> gromacs-5.0.9999.ebuild,
+  gromacs-5.0_rc1.ebuild, gromacs-9999.ebuild, metadata.xml:
+  added make-symlinks use flag, multilib-strict fix
+
 *gromacs-5.0.9999 (08 Apr 2014)
 *gromacs-5.0_rc1 (08 Apr 2014)
 

diff --git a/sci-chemistry/gromacs/gromacs-5.0.9999.ebuild 
b/sci-chemistry/gromacs/gromacs-5.0.9999.ebuild
index 6445042..b6be22e 100644
--- a/sci-chemistry/gromacs/gromacs-5.0.9999.ebuild
+++ b/sci-chemistry/gromacs/gromacs-5.0.9999.ebuild
@@ -33,7 +33,7 @@ HOMEPAGE="http://www.gromacs.org/";
 LICENSE="LGPL-2.1 UoI-NCSA !mkl? ( !fftw? ( BSD ) !blas? ( BSD ) !lapack? ( 
BSD ) ) cuda? ( LGPL-3 ) threads? ( BSD )"
 SLOT="0/${PV}"
 KEYWORDS=""
-IUSE="X blas boost cuda +doc -double-precision +fftw lapack mkl mpi +offensive 
openmp +single-precision test +threads +tng ${ACCE_IUSE}"
+IUSE="X blas boost cuda +doc -double-precision +fftw lapack +make-symlinks mkl 
mpi +offensive openmp +single-precision test +threads +tng ${ACCE_IUSE}"
 
 CDEPEND="
        X? (
@@ -154,6 +154,7 @@ src_configure() {
                $(cmake-utils_use boost GMX_EXTERNAL_BOOST)
                $(cmake-utils_use tng GMX_USE_TNG)
                $(cmake-utils_use doc GMX_BUILD_MANUAL)
+               $(cmake-utils_use make-symlinks GMX_SYMLINK_OLD_BINARY_NAMES)
                -DGMX_DEFAULT_SUFFIX=off
                -DGMX_SIMD="$acce"
                -DGMX_LIB_INSTALL_DIR="$(get_libdir)"
@@ -242,10 +243,17 @@ src_install() {
                BUILD_DIR="${WORKDIR}/${P}_${x}_mpi" \
                        cmake-utils_src_install
        done
-       # drop non needed staff
+       # drop unneeded stuff
        rm -f "${ED}"usr/bin/gmx-completion*
        rm -f "${ED}"usr/bin/g_options*
        rm -f "${ED}"usr/bin/GMXRC*
+       rm -f "${ED}"usr/lib*/libtng*.a
+
+       #workaround for libtng
+       if [[ $(get_libdir) != lib ]]; then
+               mv "${ED}"usr/lib/libtng* "${ED}usr/$(get_libdir)" || die
+               rmdir "${ED}"usr/lib || die
+       fi
 
        readme.gentoo_create_doc
 }

diff --git a/sci-chemistry/gromacs/gromacs-5.0_rc1.ebuild 
b/sci-chemistry/gromacs/gromacs-5.0_rc1.ebuild
index 350910c..34e34f4 100644
--- a/sci-chemistry/gromacs/gromacs-5.0_rc1.ebuild
+++ b/sci-chemistry/gromacs/gromacs-5.0_rc1.ebuild
@@ -33,7 +33,7 @@ HOMEPAGE="http://www.gromacs.org/";
 LICENSE="LGPL-2.1 UoI-NCSA !mkl? ( !fftw? ( BSD ) !blas? ( BSD ) !lapack? ( 
BSD ) ) cuda? ( LGPL-3 ) threads? ( BSD )"
 SLOT="0/${PV}"
 KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
-IUSE="X blas boost cuda +doc -double-precision +fftw lapack mkl mpi +offensive 
openmp +single-precision test +threads +tng ${ACCE_IUSE}"
+IUSE="X blas boost cuda +doc -double-precision +fftw lapack +make-symlinks mkl 
mpi +offensive openmp +single-precision test +threads +tng ${ACCE_IUSE}"
 
 CDEPEND="
        X? (
@@ -154,6 +154,7 @@ src_configure() {
                $(cmake-utils_use boost GMX_EXTERNAL_BOOST)
                $(cmake-utils_use tng GMX_USE_TNG)
                $(cmake-utils_use doc GMX_BUILD_MANUAL)
+               $(cmake-utils_use make-symlinks GMX_SYMLINK_OLD_BINARY_NAMES)
                -DGMX_DEFAULT_SUFFIX=off
                -DGMX_SIMD="$acce"
                -DGMX_LIB_INSTALL_DIR="$(get_libdir)"
@@ -242,10 +243,17 @@ src_install() {
                BUILD_DIR="${WORKDIR}/${P}_${x}_mpi" \
                        cmake-utils_src_install
        done
-       # drop non needed staff
+       # drop unneeded stuff
        rm -f "${ED}"usr/bin/gmx-completion*
        rm -f "${ED}"usr/bin/g_options*
        rm -f "${ED}"usr/bin/GMXRC*
+       rm -f "${ED}"usr/lib*/libtng*.a
+
+       #workaround for libtng
+       if [[ $(get_libdir) != lib ]]; then
+               mv "${ED}"usr/lib/libtng* "${ED}usr/$(get_libdir)" || die
+               rmdir "${ED}"usr/lib || die
+       fi
 
        readme.gentoo_create_doc
 }

diff --git a/sci-chemistry/gromacs/gromacs-9999.ebuild 
b/sci-chemistry/gromacs/gromacs-9999.ebuild
index 6ccbd8e..9f86383 100644
--- a/sci-chemistry/gromacs/gromacs-9999.ebuild
+++ b/sci-chemistry/gromacs/gromacs-9999.ebuild
@@ -33,7 +33,7 @@ HOMEPAGE="http://www.gromacs.org/";
 LICENSE="LGPL-2.1 UoI-NCSA !mkl? ( !fftw? ( BSD ) !blas? ( BSD ) !lapack? ( 
BSD ) ) cuda? ( LGPL-3 ) threads? ( BSD )"
 SLOT="0/${PV}"
 KEYWORDS=""
-IUSE="X blas boost cuda +doc -double-precision +fftw lapack mkl mpi +offensive 
openmp +single-precision test +threads +tng ${ACCE_IUSE}"
+IUSE="X blas boost cuda +doc -double-precision +fftw lapack +make-symlinks mkl 
mpi +offensive openmp +single-precision test +threads +tng ${ACCE_IUSE}"
 
 CDEPEND="
        X? (
@@ -154,6 +154,7 @@ src_configure() {
                $(cmake-utils_use boost GMX_EXTERNAL_BOOST)
                $(cmake-utils_use tng GMX_USE_TNG)
                $(cmake-utils_use doc GMX_BUILD_MANUAL)
+               $(cmake-utils_use make-symlinks GMX_SYMLINK_OLD_BINARY_NAMES)
                -DGMX_DEFAULT_SUFFIX=off
                -DGMX_SIMD="$acce"
                -DGMX_LIB_INSTALL_DIR="$(get_libdir)"
@@ -242,10 +243,17 @@ src_install() {
                BUILD_DIR="${WORKDIR}/${P}_${x}_mpi" \
                        cmake-utils_src_install
        done
-       # drop non needed staff
+       # drop unneeded stuff
        rm -f "${ED}"usr/bin/gmx-completion*
        rm -f "${ED}"usr/bin/g_options*
        rm -f "${ED}"usr/bin/GMXRC*
+       rm -f "${ED}"usr/lib*/libtng*.a
+
+       #workaround for libtng
+       if [[ $(get_libdir) != lib ]]; then
+               mv "${ED}"usr/lib/libtng* "${ED}usr/$(get_libdir)" || die
+               rmdir "${ED}"usr/lib || die
+       fi
 
        readme.gentoo_create_doc
 }

diff --git a/sci-chemistry/gromacs/metadata.xml 
b/sci-chemistry/gromacs/metadata.xml
index c3bf63e..87e0f0a 100644
--- a/sci-chemistry/gromacs/metadata.xml
+++ b/sci-chemistry/gromacs/metadata.xml
@@ -12,6 +12,7 @@
        <flag name="single-precision">Single precision version of gromacs 
(default)</flag>
        <flag name="boost">Enable external boost library</flag>
        <flag name="tng">Enable new trajectory format - tng</flag>
+       <flag name="make-symlinks">Create symbolic links for pre-5.0 binary 
names</flag>
     <!-- acceleration optimization flags -->
     <flag name="sse4_1">Enable sse4.1 acceleration</flag>
        <flag name="avx128fma">Enable 128bit avx with fma (e.g. AMD 
BullDozer)</flag>

Reply via email to